@import '../../../styles.scss';

.main {
  max-width: 1400px;
  margin: 0 auto;
}

h1 {
  margin: 10px 20px;
  font-weight: $font-weight-normal;
  font-size: $font-size-big;
}

.formcontainer {
  background: white;
  border-radius: 10px;
  padding: 20px 10px;
  display: flex;
  flex-wrap: wrap;
}

.transferform {
  margin-bottom: 20px;
}

.paragraph {
  margin: 0;
  padding: 0 18px;
  font-size: 12px;
  text-align: right;
  width: 100%;
}

.transfertable {
  border-radius: 10px;
  overflow: hidden;
  background-color: white;
}

.groupwrapper {
  display: flex;
  justify-content: space-between;
  padding: 18px;
}

::ng-deep .p-autocomplete-dd .p-autocomplete-input {
  border-radius: 0;
  border-right: none;
}

::ng-deep .p-autocomplete-dd button {
  color: $font-grey;
  background: $background-grey;
  border: none;
  border-left: none;
  padding: 0.75rem 1.25rem;
  font-size: 1rem;
  transition: background-color 0.2s, color 0.2s, border-color 0.2s,
    box-shadow 0.2s;
  border-radius: 6px;
}

::ng-deep .p-inputtext:enabled:hover ~ button {
  border-color: #3b82f6;
}

::ng-deep .p-inputtext:enabled:focus ~ button {
  box-shadow: 0 0 0 0.2rem #bfdbfe;
}

::ng-deep .p-autocomplete .p-button:enabled:hover {
  background: $background-grey;
  color: $font-grey;
  border-color: #2563eb;
}

::ng-deep .p-autocomplete {
  width: 100%;
}

.orange {
  background-color: rgba($orange, 0.1);
}

.orange > td {
  border-bottom: solid 1px rgba($orange, 0.2);
}

.green {
  background-color: rgba($green, 0.1);
}

.green > td {
  border-bottom: solid 1px rgba($green, 0.2);
}
